function work=compress3Work(pressratio)
    %Extract flowsheet xml by unzipping the COCO file
  
  
  sys_cmd_unzip ="C:\\Progra~1\\7-Zip\\7z e -y";
  
%  system([sys_cmd_unzip " compressors.fsd"])
  system("del flowsheet.xml"); %remove existing file 
  unzip('compressors.fsd');       %create the new one
  
  %Read xml file into a local variable
  coco_xml=xmlread('flowsheet.xml');
  
  %make the change in the xml file
  Compressor1=coco_xml.getElementsByTagName('unitOperation').item(0)
  PressRatio= Compressor1.getElementsByTagName...
  ('properties').item(0).getElementsByTagName('value').item(8);
  if PressRatio.getAttribute('name')=="Pressure ratio"
    PressRatio.setTextContent(num2str(pressratio))
  end
  
  %save the updated xml file
  xmlwrite('flowsheet.xml',coco_xml)
  
  %Update COCO file by re-zipping the modified xml flowsheet
  system("del compressors.fsd");          %first remove existing file 
  zip('compressors.fsd','flowsheet.xml'); %create the new one
  
  %Run the updated simulation file
  Exepath=["C:\\Progra~1\\COCO\\cofestand64"];
  
  RETURN_OUTPUT=0;
%  [STATUS, OUTPUT]=system([Exepath " compressors.fsd"],RETURN_OUTPUT);
  [STATUS]=system([Exepath " compressors.fsd"],RETURN_OUTPUT);
  
  %extract the results
%  system([sys_cmd_unzip " compressors.fsd"])
  system("del flowsheet.xml"); %remove existing file 
  unzip('compressors.fsd');       %create the new one
  coco_xml=xmlread('flowsheet.xml');
  
  Compressor3=coco_xml.getElementsByTagName('unitOperation').item(2)
  C3_Work= Compressor3.getElementsByTagName...
  ('properties').item(0).getElementsByTagName('value').item(5);
  if C3_Work.getAttribute('name')=="Energy demand"
    work= -str2num(C3_Work.getTextContent())
  end

end
